Subject: Re: [dnssd] Barry Leiba's Yes on draft-ietf-dnssd-prireq-05: (with COMMENT)

From: Christian Huitema <[email-masked]>
Date: Wed, 4 Mar 2020 13:17:12 -0800

I prepared a PR that applies the changes that Barry suggested:
https://github.com/huitema/dnssd-privreq/pull/14

Mostly this is straightforward, but there are two potential issues:

 1.

    I placed MDNS and DNSSD as normative references. Are there other
    references that should be classified as such?

 2.

    Barry observed that using MDNS as the reference for sleep proxies
    was very loose, and he is right. The problem is that there are very
    few good publications describing sleep proxies. When I searched
    that, I mostly got references to specs by Intel or Apple that were
    shared with implementers under NDA. I found an old web page by
    Stuart Cheshire describing the sleep proxy on the MAC and I used
    that, but I would prefer an open spec or an academic reference.

Of course, I am waiting for the end of the IESG review before publishing
a new draft, but since the cut-off is this Monday I am trying to not
waste time.

-- Christian Huitema

On 2/27/2020 9:04 AM, Eric Vyncke (evyncke) wrote:
> Christian, Daniel,
>
> Based on the IESG statement below, please update the document (after the telechat) to include those references as normative.
>
> Thank you
>
> -éric
>
> -----Original Message-----
> From: iesg <[email-masked]> on behalf of Barry Leiba <[email-masked]>
> Date: Wednesday, 26 February 2020 at 17:49
> To: Christian Huitema <[email-masked]>
> Cc: David Schinazi <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, The IESG <[email-masked]>, "[email-masked]" <[email-masked]>
> Subject: Re: [dnssd] Barry Leiba's Yes on draft-ietf-dnssd-prireq-05: (with COMMENT)
>
>     Thanks, Christian, and I appreciate your quick response.
>     
>     > I am not enthusiastic about "normative references in informational
>     > documents". I will wait for Eric's advice on that one, assuming that he
>     > will carry the IESG consensus on that topic.
>     
>     Éric and I will discuss it.  Meanwhile, I'll note that the IESG said
>     this in 2006: https://www.ietf.org/about/groups/iesg/statements/normative-informative-references/
>     
>     "Normative references specify documents that must be read to
>     understand or implement the technology in the new RFC, or whose
>     technology must be present for the technology in the new RFC to work."
>     
>     and
>     
>     "Note 3: The normative/informative distinction is relevant in any
>     document that amounts to a technical specification, even if its
>     intended status is Experimental or Informational."
>     
>     Barry
>     
>     
>
> _______________________________________________
> dnssd mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnssd